Name:       ocaml-bitv
Version:    1.1
Release:    %mkrel 2
Summary:    A bit vector library
License:    LGPL with exception
Group:      Development/OCaml
URL:        https://www.lri.fr/~filliatr/ftp/ocaml/ds/
Source0:    https://www.lri.fr/~filliatr/ftp/ocaml/ds/bitv-%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  ocamlweb
BuildRequires:  texlive

%description
This module implements bit vectors.
Since bit vectors are particular cases of arrays, this module provides
the same operations as module Array.
It also provides bitwise operations and conversions to/from integer types.

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the development modules you need to use %{name} in
your programs.

%prep
%setup -q -n bitv-%{version}

%build
./configure
make opt
make doc

%check
make test

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/bitv
#make install DESTDIR=$OCAMLFIND_DESTDIR
ocamlfind install \
  -destdir $OCAMLFIND_DESTDIR \
  bitv META bitv.cmo bitv.cmi bitv.mli bitv.cmx bitv.o

%files
%doc README COPYING LICENSE CHANGES
%dir %{_libdir}/ocaml/bitv
%{_libdir}/ocaml/bitv/META
%{_libdir}/ocaml/bitv/*.cmi
%{_libdir}/ocaml/bitv/*.cmo

%files devel
%doc test.ml
%doc bitv.pdf
%{_libdir}/ocaml/bitv/*.o
%{_libdir}/ocaml/bitv/*.cmx
%{_libdir}/ocaml/bitv/*.mli


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.1-2.mga4
+ Revision: 523832
- Mageia 4 Mass Rebuild

* Thu May 02 2013 blue_prawn <blue_prawn> 1.1-1.mga4
+ Revision: 412030
- imported package ocaml-bitv

